<?php
/**
* Additional Woocommerce Settings.
*
* @package Spa Parlor
*/

$spa_parlor_default = spa_parlor_get_default_theme_options();

// Additional Woocommerce Section.
$wp_customize->add_section( 'spa_parlor_additional_woocommerce_options',
	array(
	'title'      => esc_html__( 'Additional Woocommerce Options', 'spa-parlor' ),
	'priority'   => 210,
	'capability' => 'edit_theme_options',
	'panel'      => 'spa_parlor_theme_option_panel',
	)
);

	$wp_customize->add_setting('spa_parlor_per_columns',
		array(
		'default'           => $spa_parlor_default['spa_parlor_per_columns'],
		'capability'        => 'edit_theme_options',
		'sanitize_callback' => 'spa_parlor_sanitize_number_range',
		)
	);
	$wp_customize->add_control('spa_parlor_per_columns',
		array(
		'label'       => esc_html__('Products Per Column', 'spa-parlor'),
		'section'     => 'spa_parlor_additional_woocommerce_options',
		'type'        => 'number',
		'input_attrs' => array(
		'min'   => 1,
		'max'   => 6,
		'step'   => 1,
		),
		)
	);

	$wp_customize->add_setting('spa_parlor_product_per_page',
		array(
		'default'           => $spa_parlor_default['spa_parlor_product_per_page'],
		'capability'        => 'edit_theme_options',
		'sanitize_callback' => 'spa_parlor_sanitize_number_range',
		)
	);
	$wp_customize->add_control('spa_parlor_product_per_page',
		array(
		'label'       => esc_html__('Products Per Page', 'spa-parlor'),
		'section'     => 'spa_parlor_additional_woocommerce_options',
		'type'        => 'number',
		'input_attrs' => array(
		'min'   => 1,
		'max'   => 100,
		'step'   => 1,
		),
		)
	);

	$wp_customize->add_setting('spa_parlor_show_hide_related_product',
    array(
        'default' => $spa_parlor_default['spa_parlor_show_hide_related_product'],
        'capability' => 'edit_theme_options',
        'sanitize_callback' => 'spa_parlor_sanitize_checkbox',
    )
	);
	$wp_customize->add_control('spa_parlor_show_hide_related_product',
	    array(
	        'label' => esc_html__('Enable Related Products', 'spa-parlor'),
	        'section' => 'spa_parlor_additional_woocommerce_options',
	        'type' => 'checkbox',
	    )
	);

	$wp_customize->add_setting('spa_parlor_custom_related_products_number',
		array(
		'default'           => $spa_parlor_default['spa_parlor_custom_related_products_number'],
		'capability'        => 'edit_theme_options',
		'sanitize_callback' => 'spa_parlor_sanitize_number_range',
		)
	);
	$wp_customize->add_control('spa_parlor_custom_related_products_number',
		array(
		'label'       => esc_html__('Related Products Per Page', 'spa-parlor'),
		'section'     => 'spa_parlor_additional_woocommerce_options',
		'type'        => 'number',
		'input_attrs' => array(
		'min'   => 1,
		'max'   => 10,
		'step'   => 1,
		),
		)
	);

	$wp_customize->add_setting('spa_parlor_custom_related_products_number_per_row',
		array(
		'default'           => $spa_parlor_default['spa_parlor_custom_related_products_number_per_row'],
		'capability'        => 'edit_theme_options',
		'sanitize_callback' => 'spa_parlor_sanitize_number_range',
		)
	);
	$wp_customize->add_control('spa_parlor_custom_related_products_number_per_row',
		array(
		'label'       => esc_html__('Related Products Per Row', 'spa-parlor'),
		'section'     => 'spa_parlor_additional_woocommerce_options',
		'type'        => 'number',
		'input_attrs' => array(
		'min'   => 1,
		'max'   => 5,
		'step'   => 1,
		),
		)
	);